@REM
@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM Product #5724-C94, 5724-E69, 5724-L72, (C) COPYRIGHT International Business Machines Corp., 2002-2005.
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM Configuration Based Update Installer

@REM Command Descriptions
@REM 
@REM The '-fix' option specifies an eFix update.
@REM The '-fixpack' option specifies a FixPack update.
@REM The '-install' option specifies an install action.
@REM The '-uninstall' option specifies an uninstall action.
@REM The '-installDir' option specifies the product install root location.
@REM The '-fixDir' option specifies the eFix directory.
@REM The '-fixpackDir' option specifies the FixPack directory.
@REM The '-fixes' specifies a list of eFixes to install or uninstall.
@REM The '-fixpackID' specifies a FixPack to install or uninstall.
@REM The '-fixDetails' option displays eFix detail information.
@REM The '-fixpackDetails' option displays FixPack detail information.
@REM The '-prereqOverride' option overrides any installation prerequisites.
@REM The '<propertyFile>.properties' option specifies an externally supplied parameters file.
@REM The ''-productId'' option specifies a product ID to triggers generation of version files.
@REM The ''-productVersion'' option specifies product verion and is used with -productId.

@REM Launch Arguments:
@REM
@REM For EFix Processing:
@REM      updateProduct <propertiesFile>
@REM               ( -installDir <product install root>
@REM                 [ -fix ]
@REM                 [ -fixDir <ifix repository root> ]
@REM                 [ -install | -uninstall | -uninstallAll ]
@REM                 [ -fixes <space delimited list of ifixes> ]
@REM                 [ -fixJars <space delimited list of ifix jars> ]
@REM                 [ -fixDetails ]
@REM                 [ -wpcpOnly ( -wpcpInstallDir <Content Publisher install root> ) | -skipWPCP ]
@REM                 [ -configProperties puiconfig.properties ]
@REM                 [ -prereqOverride ] ) |
@REM               ( -help | -? | /help | /? | -usage )
@REM
@REM For FixPack Processing:
@REM  updateProduct <propertiesFile>
@REM            ( -installDir <product install root>
@REM              [ -fixpack ]
@REM              [ ( -install | -uninstall
@REM               -fixpackDir <fixpack repository root> ]
@REM               -fixpackID <FixPack ID> ]
@REM              [ -wpcpOnly ( -wpcpInstallDir <Content Publisher install root> ) | -skipWPCP ]
@REM              [ -includeOptional <space delimited list of components> ]
@REM              [ -configProperties puiconfig.properties ]
@REM              [ -fixpackDetails ] |
@REM              [ -productId <product ID> -productVersion <product version>] ) |
@REM            ( -help | -? | /help | /? | -usage )


@if defined echo (echo %echo% ) else echo off
@setlocal

@REM set DEBUG_UPDATE=yes to turn on debugging statements
set DEBUG_UPDATE=no

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

@REM Set classpath for eFix commandline installer
SET CLASSPATH="%~dp0EveryplaceAccessUpdateInstaller.jar"

set LaunchTitle=%0
Echo Start of [ %LaunchTitle% ]
Echo Build 20061017_1508
Echo.

:Silent
Echo Verifying installer jar:
Echo   [ PuiCommandline.jar ]
Echo.
IF NOT EXIST "%~dp0PuiCommandline.jar" GoTo FailSilent
GoTo CheckWASHome

:FailSilent
Echo The installer jar file does not exist.  Exiting.
Echo.
GoTo End

:CheckWASHome
REM PUI @PJB
REM IF NOT "%WAS_HOME%" == "" GoTo CheckWasSetup
REM Echo The WAS_HOME env variable MUST be set.  Exiting.
REM Echo.
REM GoTo End

:CheckWasSetup
REM PUI @PJB
REM IF "%DEBUG_UPDATE%" == "yes" Echo Attempting to locate setupCmdLine.bat.
REM IF "%DEBUG_UPDATE%" == "yes" Echo.
REM IF EXIST "%WAS_HOME%\bin\setupCmdLine.bat" GoTo RunWasSetup
REM Echo The WAS_HOME env variable MUST be set.  Exiting.
REM Echo Unable to locate WAS setupCmdLine.bat in %WAS_HOME%.  Exiting.
REM Echo.
REM GoTo End



:RunWasSetup
REM PUI @PJB
REM call "%WAS_HOME%\bin\setupCmdLine.bat"
REM GoTo TestJDK

:TestJDK
IF NOT EXIST "%JAVA_HOME%\bin" GoTo FailJavaHome
IF NOT EXIST "%JAVA_HOME%\bin\java.exe" GoTo FailJavaHome
goto LaunchInstaller

:FailJavaHome
Echo The JDK was not found within the set JAVA_HOME:
Echo   JAVA_HOME: [ %JAVA_HOME%\bin\java.exe ]
Echo.
Echo Exiting.
Echo.
goto End

:LaunchInstaller

REM set DBG_PROP=-Dcom.ibm.websphere.update.ptf.debug=true
REM set DBG_PROP=-Dcom.ibm.websphere.update.launch.debug=true
set PUI_PROP=-Dcom.ibm.websphere.update.wea=true

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% %DBG_PROP% %PUI_PROP% "-Dcom.ibm.wp.pui.systemroot=%SystemRoot%" -Dcom.ibm.wp.pui.bld.level=20061017_1508 -Xmx256m -cp "%~dp0PuiCommandline.jar;%~dp0lib\extfile.jar" com.ibm.websphere.update.launch.Launcher com.ibm.websphere.update.silent.UpdateInstaller %*

:End
Echo.
Echo End of [ %LaunchTitle% ]
Echo.
endlocal

